// @ts-ignore
/* eslint-disable */
import { invoke as request } from '@/core/network';

/** 登录 POST /apis/clients/auth/login */
export async function postAuthLoginApi(
  body: SectApi.ClientsLoginQuery,
  options?: { [key: string]: any },
) {
  return request<SectApi.ClientsTokenVO>('/apis/clients/auth/login', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 登出 GET /apis/clients/auth/logout */
export async function getAuthLogoutApi(options?: { [key: string]: any }) {
  return request<boolean>('/apis/clients/auth/logout', {
    method: 'GET',
    ...(options || {}),
  });
}
