// @ts-ignore
/* eslint-disable */
import { invoke as request } from '@/core/network';

/** 宗门等级详情 GET /apis/admin/factionLevel/details */
export async function getFactionLevelDetailsApi(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: SectApi.getFactionLevelDetailsApiParams,
  options?: { [key: string]: any },
) {
  return request<SectApi.FactionLevelVO>('/apis/admin/factionLevel/details', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** /宗门等级列表 GET /apis/admin/factionLevel/list */
export async function getFactionLevelListApi(options?: { [key: string]: any }) {
  return request<SectApi.FactionLevelVO[]>('/apis/admin/factionLevel/list', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 分页查询宗门等级 POST /apis/admin/factionLevel/page */
export async function postFactionLevelPageApi(
  body: SectApi.FactionLevelPageQuery,
  options?: { [key: string]: any },
) {
  return request<SectApi.IPageFactionLevelVO>('/apis/admin/factionLevel/page', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除宗门等级 DELETE /apis/admin/factionLevel/remove */
export async function deleteFactionLevelRemoveApi(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: SectApi.deleteFactionLevelRemoveApiParams,
  options?: { [key: string]: any },
) {
  return request<boolean>('/apis/admin/factionLevel/remove', {
    method: 'DELETE',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 保存宗门等级 POST /apis/admin/factionLevel/save */
export async function postFactionLevelSaveApi(
  body: SectApi.FactionLevelSaveQuery,
  options?: { [key: string]: any },
) {
  return request<boolean>('/apis/admin/factionLevel/save', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
