// @ts-ignore
/* eslint-disable */
import { invoke as request } from '@/core/network';

/** 峰详情 GET /apis/admin/peak/details */
export async function getPeakDetailsApi(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: SectApi.getPeakDetailsApiParams,
  options?: { [key: string]: any },
) {
  return request<SectApi.PeakVO>('/apis/admin/peak/details', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** /峰列表 GET /apis/admin/peak/list */
export async function getPeakListApi(options?: { [key: string]: any }) {
  return request<SectApi.PeakVO[]>('/apis/admin/peak/list', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 分页查询峰 POST /apis/admin/peak/page */
export async function postPeakPageApi(
  body: SectApi.PeakPageQuery,
  options?: { [key: string]: any },
) {
  return request<SectApi.IPagePeakVO>('/apis/admin/peak/page', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除峰 DELETE /apis/admin/peak/remove */
export async function deletePeakRemoveApi(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: SectApi.deletePeakRemoveApiParams,
  options?: { [key: string]: any },
) {
  return request<boolean>('/apis/admin/peak/remove', {
    method: 'DELETE',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 保存峰 POST /apis/admin/peak/save */
export async function postPeakSaveApi(
  body: SectApi.PeakSaveQuery,
  options?: { [key: string]: any },
) {
  return request<boolean>('/apis/admin/peak/save', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
