// @ts-ignore
/* eslint-disable */
import { invoke as request } from '@/core/network';

/** 峰等级详情 GET /apis/admin/peakLevel/details */
export async function getPeakLevelDetailsApi(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: SectApi.getPeakLevelDetailsApiParams,
  options?: { [key: string]: any },
) {
  return request<SectApi.PeakLevelVO>('/apis/admin/peakLevel/details', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** /峰等级树 GET /apis/admin/peakLevel/listTree */
export async function getPeakLevelListTreeApi(options?: { [key: string]: any }) {
  return request<SectApi.PeakLevelVO[]>('/apis/admin/peakLevel/listTree', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 分页查询峰等级 POST /apis/admin/peakLevel/page */
export async function postPeakLevelPageApi(
  body: SectApi.PeakLevelPageQuery,
  options?: { [key: string]: any },
) {
  return request<SectApi.IPagePeakLevelVO>('/apis/admin/peakLevel/page', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除峰等级 DELETE /apis/admin/peakLevel/remove */
export async function deletePeakLevelRemoveApi(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: SectApi.deletePeakLevelRemoveApiParams,
  options?: { [key: string]: any },
) {
  return request<boolean>('/apis/admin/peakLevel/remove', {
    method: 'DELETE',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 保存峰等级 POST /apis/admin/peakLevel/save */
export async function postPeakLevelSaveApi(
  body: SectApi.PeakLevelSaveQuery,
  options?: { [key: string]: any },
) {
  return request<boolean>('/apis/admin/peakLevel/save', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
