// @ts-ignore
/* eslint-disable */
import { invoke as request } from '@/core/network';

/** 峰详情 GET /apis/clients/peak/details */
export async function getPeakDetailsApi(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: SectApi.getPeakDetailsApiParams,
  options?: { [key: string]: any },
) {
  return request<SectApi.PeakVO>('/apis/clients/peak/details', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 分页查询峰 POST /apis/clients/peak/page */
export async function postPeakPageApi(
  body: SectApi.PeakPageQuery,
  options?: { [key: string]: any },
) {
  return request<SectApi.IPagePeakVO>('/apis/clients/peak/page', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
